gnutls_openpgp_privkey_set_preferred_key_id(3)

NAME
gnutls_openpgp_privkey_set_preferred_key_id - Set the prefered keyID

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_privkey_set_preferred_key_id(gnutls_openpgp_privkey_t key, const gnutls_openpgp_keyid_t keyid);

ARGUMENTS

gnutls_openpgp_privkey_t key
    the structure that contains the OpenPGP public key.

const gnutls_openpgp_keyid_t           keyid
    the selected keyid

DESCRIPTION
This allows setting a preferred key id for the given certificate. This key will be used by functions that involve key handling.

RETURNS
On success, 0 is returned, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.